package com.jzdsh.common;

public class AjaxMessage<T> {
	
	public static final AjaxMessage<String> SUCCESS = new AjaxMessage<>();
	public static final AjaxMessage<String> FAIL = new AjaxMessage<>(500, null);

	 public AjaxMessage(Integer status,String msg,T data){
		 this.msg = msg;
		 this.data = data;
		 this.status = status;
	 }
	 
	 public AjaxMessage(String msg,T data){
		 this.msg = msg;
		 this.data = data;
	 }
	 
	 public AjaxMessage(Integer status,String msg){
		 this.status = status;
		 this.msg = msg;
	 }
	 
	 public AjaxMessage(T data){
		 this.data = data;
	 }
	
	 public AjaxMessage(){}
	 
	/**
	 * 提示信息
	 */
	private String msg;
	
	/**
	 * 返回的数据
	 */
	private T data;
	
	/**
	 * 返回状态码
	 */
	private Integer status = 200;

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	
	
}
